%global pypi_name kiwisolver

Summary:        A fast implementation of the Cassowary constraint solver
Name:           python-%{pypi_name}
Version:        1.4.5
Release:        1%{?dist}
License:        BSD-3-Clause AND HPND-sell-variant
URL:            https://github.com/nucleic/kiwi
Source0:        %{pypi_source}

BuildRequires: gcc-c++ python3-devel python3dist(pytest)

%description
Kiwi is an efficient C++ implementation of the Cassowary constraint solving
algorithm. Kiwi is an implementation of the algorithm based on the seminal
Cassowary paper. It is *not* a refactoring of the original C++ solver. Kiwi has
been designed from the ground up to be lightweight and fast.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Provides:       bundled(loki-lib)

%description -n python3-%{pypi_name}
Kiwi is an efficient C++ implementation of the Cassowary constraint solving
algorithm. Kiwi is an implementation of the algorithm based on the seminal
Cassowary paper. It is *not* a refactoring of the original C++ solver. Kiwi has
been designed from the ground up to be lightweight and fast.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%{pytest} py/tests/

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst

%changelog
* Tue Sep 26 2023 Wang Guodong <gordonwwang@tencent.com> - 1.4.5-1
- Upgrade to version 1.4.5

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.4-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.4-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.4-2
- Rebuilt for OpenCloudOS Stream 23.05

* Sun Apr 23 2023 cunshunxia <cunshunxia@tencent.com> - 1.4.4-1
- initial build
